-- ABS-82555/ ABS-84210

------------------CONTRACTATTRIBUTE table--------------------------
DECLARE
BEGIN
	EXECUTE IMMEDIATE 'UPDATE CONTRACTATTRIBUTE CA
SET CA.INTERNALNAME = ''dfAutoSoilPercentage''
WHERE CA.CONTRACTATTRIBUTE_ID = 177';
EXCEPTION
	WHEN OTHERS THEN
		NULL;
END;
/

------------------CONTRACTATTRIBUTEDEPEND table--------------------------
DECLARE
BEGIN
	EXECUTE IMMEDIATE 'UPDATE CONTRACTATTRIBUTEDEPEND CAD SET
CAD.CONTRACTATTRIBUTE_ID = 109, CAD.INTERNALNAME = ''cbChargeOveruse2''
WHERE CAD.CONTRACTATTRIBUTE_ID = 108';
EXCEPTION
	WHEN OTHERS THEN
		NULL;
END;
/

DECLARE
BEGIN
	EXECUTE IMMEDIATE 'UPDATE CONTRACTATTRIBUTEDEPEND CAD SET
CAD.CONTRACTATTRIBUTE_ID = 113
WHERE CAD.CONTRACTATTRIBUTE_ID = 112';
EXCEPTION
	WHEN OTHERS THEN
		NULL;
END;
/

DECLARE
BEGIN
	EXECUTE IMMEDIATE 'UPDATE CONTRACTATTRIBUTEDEPEND CAD SET
CAD.CONTRACTATTRIBUTE_ID = 116
WHERE CAD.CONTRACTATTRIBUTE_ID = 115';
EXCEPTION
	WHEN OTHERS THEN
		NULL;
END;
/

DECLARE
BEGIN
	EXECUTE IMMEDIATE 'INSERT INTO CONTRACTATTRIBUTEDEPEND (CONTRACTATTRIBUTE_ID, INTERNALNAME, SYSTEMUSER_ID, TIMESTAMP)
VALUES (112, ''btnGroupInvBillingTypeBM2'', GETMINSYSTEMUSER(), sysdate)';
EXCEPTION
	WHEN OTHERS THEN
		NULL;
END;
/

DECLARE
BEGIN
	EXECUTE IMMEDIATE 'INSERT INTO CONTRACTATTRIBUTEDEPEND (CONTRACTATTRIBUTE_ID, INTERNALNAME, SYSTEMUSER_ID, TIMESTAMP) VALUES (145, ''cmbReturnMerchandise'', GETMINSYSTEMUSER(), sysdate)';
EXCEPTION
	WHEN OTHERS THEN
		NULL;
END;
/

COMMIT;